# Uses of Class
org.jmol.shape.Shape

Packages that use Shape
Package
Description
org.jmol.render
org.jmol.shape
org.jmol.shapebio
org.jmol.shapecgo
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.viewer

## Uses of Shape in org.jmol.render

Fields in org.jmol.render declared as Shape
Modifier and Type
Field
Description
`protected Shape`
ShapeRenderer.`shape`
Methods in org.jmol.render with parameters of type Shape
Modifier and Type
Method
Description
`boolean`
ShapeRenderer.`renderShape(JmolRendererInterface g3d, ModelSet modelSet, Shape shape, int flags)`
`void`
ShapeRenderer.`setup(JmolRendererInterface g3d, ModelSet modelSet, Shape shape)`

## Uses of Shape in org.jmol.shape

Subclasses of Shape in org.jmol.shape
Modifier and Type
Class
Description
`class`
`AtomShape`
`class`
`Axes`
`class`
`Balls`
`class`
`Bbcage`
`class`
`Echo`
`class`
`FontLineShape`
`class`
`Frank`
`class`
`Halos`
`class`
`Hover`
`class`
`Labels`
`class`
`Measures`
`class`
`MeshCollection`
`class`
`Stars`
`class`
`Sticks`
`class`
`TextShape`
`class`
`Uccage`

## Uses of Shape in org.jmol.shapebio

Subclasses of Shape in org.jmol.shapebio
Modifier and Type
Class
Description
`class`
`Backbone`
`class`
`BioShape`
`class`
`BioShapeCollection`
When a Cartoon is instantiated with a call to setSize(), it creates an BioShapeCollection for each BioPolymer in the model set.
`class`
`Cartoon`
`class`
`MeshRibbon`
`class`
`Ribbons`
`class`
`Rockets`
`class`
`Strands`
`class`
`Trace`

## Uses of Shape in org.jmol.shapecgo

Subclasses of Shape in org.jmol.shapecgo
Modifier and Type
Class
Description
`class`
`CGO`
PyMOL Compiled Graphic Object (CGO) meshes

## Uses of Shape in org.jmol.shapespecial

Subclasses of Shape in org.jmol.shapespecial
Modifier and Type
Class
Description
`class`
`Dipoles`
`class`
`Dots`
`class`
`Draw`
`class`
`Ellipsoids`
`class`
`GeoSurface`
`class`
`Polyhedra`
`class`
`Vectors`

## Uses of Shape in org.jmol.shapesurface

Subclasses of Shape in org.jmol.shapesurface
Modifier and Type
Class
Description
`class`
`Contact`
`class`
`Isosurface`
`class`
`LcaoCartoon`
`class`
`MolecularOrbital`
`class`
`NBO`
`class`
`Plot3D`
`class`
`Pmesh`

## Uses of Shape in org.jmol.viewer

Fields in org.jmol.viewer declared as Shape
Modifier and Type
Field
Description
`Shape[]`
ShapeManager.`shapes`
Methods in org.jmol.viewer that return Shape
Modifier and Type
Method
Description
`Shape`
ShapeManager.`getShape(int i)`
`Shape`
ShapeManager.`loadShape(int shapeID)`